export interface ICommand {
    value: number;
    info: string;
}
export interface ICommandsList {
    SET_VOLUME: ICommand;
    SEEK: ICommand;
    QUICK_OPEN_FILE: ICommand;
    OPEN_FILE: ICommand;
    OPEN_DVD_BD: ICommand;
    OPEN_DEVICE: ICommand;
    REOPEN_FILE: ICommand;
    MOVE_TO_RECYCLE_BIN: ICommand;
    SAVE_A_COPY: ICommand;
    SAVE_IMAGE: ICommand;
    SAVE_IMAGE_AUTO: ICommand;
    SAVE_THUMBNAILS: ICommand;
    LOAD_SUBTITLE: ICommand;
    SAVE_SUBTITLE: ICommand;
    CLOSE: ICommand;
    PROPERTIES: ICommand;
    EXIT: ICommand;
    PLAY_PAUSE: ICommand;
    PLAY: ICommand;
    PAUSE: ICommand;
    STOP: ICommand;
    FRAMESTEP: ICommand;
    FRAMESTEP_BACK: ICommand;
    GO_TO: ICommand;
    INCREASE_RATE: ICommand;
    DECREASE_RATE: ICommand;
    RESET_RATE: ICommand;
    AUDIO_DELAY_PLUS_10_MS: ICommand;
    AUDIO_DELAY_MINUS_10_MS: ICommand;
    JUMP_FORWARD_SMALL: ICommand;
    JUMP_BACKWARD_SMALL: ICommand;
    JUMP_FORWARD_MEDIUM: ICommand;
    JUMP_BACKWARD_MEDIUM: ICommand;
    JUMP_FORWARD_LARGE: ICommand;
    JUMP_BACKWARD_LARGE: ICommand;
    JUMP_FORWARD_KEYFRAME: ICommand;
    JUMP_BACKWARD_KEYFRAME: ICommand;
    JUMP_TO_BEGINNING: ICommand;
    NEXT: ICommand;
    PREVIOUS: ICommand;
    NEXT_FILE: ICommand;
    PREVIOUS_FILE: ICommand;
    TUNER_SCAN: ICommand;
    QUICK_ADD_FAVORITE: ICommand;
    TOGGLE_CAPTION_AND_MENU: ICommand;
    TOGGLE_SEEKER: ICommand;
    TOGGLE_CONTROLS: ICommand;
    TOGGLE_INFORMATION: ICommand;
    TOGGLE_STATISTICS: ICommand;
    TOGGLE_STATUS: ICommand;
    TOGGLE_SUBRESYNC_BAR: ICommand;
    TOGGLE_PLAYLIST_BAR: ICommand;
    TOGGLE_CAPTURE_BAR: ICommand;
    TOGGLE_NAVIGATION_BAR: ICommand;
    TOGGLE_DEBUG_SHADERS: ICommand;
    VIEW_MINIMAL: ICommand;
    VIEW_COMPACT: ICommand;
    VIEW_NORMAL: ICommand;
    FULLSCREEN: ICommand;
    FULLSCREEN_WITHOUT_RES_CHANGE: ICommand;
    ZOOM_50: ICommand;
    ZOOM_100: ICommand;
    ZOOM_200: ICommand;
    ZOOM_AUTO_FIT: ICommand;
    ZOOM_AUTO_FIT_LARGER_ONLY: ICommand;
    NEXT_AR_PRESET: ICommand;
    VIDFRM_HALF: ICommand;
    VIDFRM_NORMAL: ICommand;
    VIDFRM_DOUBLE: ICommand;
    VIDFRM_STRETCH: ICommand;
    VIDFRM_INSIDE: ICommand;
    VIDFRM_ZOOM_1: ICommand;
    VIDFRM_ZOOM_2: ICommand;
    VIDFRM_OUTSIDE: ICommand;
    VIDFRM_SWITCH_ZOOM: ICommand;
    ALWAYS_ON_TOP: ICommand;
    PNS_RESET: ICommand;
    PNS_INC_SIZE: ICommand;
    PNS_INC_WIDTH: ICommand;
    PNS_INC_HEIGHT: ICommand;
    PNS_DEC_SIZE: ICommand;
    PNS_DEC_WIDTH: ICommand;
    PNS_DEC_HEIGHT: ICommand;
    PNS_CENTER: ICommand;
    PNS_LEFT: ICommand;
    PNS_RIGHT: ICommand;
    PNS_UP: ICommand;
    PNS_DOWN: ICommand;
    PNS_UP_LEFT: ICommand;
    PNS_UP_RIGHT: ICommand;
    PNS_DOWN_LEFT: ICommand;
    PNS_DOWN_RIGHT: ICommand;
    PNS_ROTATE_X_PLUS: ICommand;
    PNS_ROTATE_X_MINUS: ICommand;
    PNS_ROTATE_Y_PLUS: ICommand;
    PNS_ROTATE_Y_MINUS: ICommand;
    PNS_ROTATE_Z_PLUS: ICommand;
    PNS_ROTATE_Z_MINUS: ICommand;
    VOLUME_UP: ICommand;
    VOLUME_DOWN: ICommand;
    VOLUME_MUTE: ICommand;
    VOLUME_BOOST_INCREASE: ICommand;
    VOLUME_BOOST_DECREASE: ICommand;
    VOLUME_BOOST_MIN: ICommand;
    VOLUME_BOOST_MAX: ICommand;
    TOGGLE_CUSTOM_CHANNEL_MAPPING: ICommand;
    TOGGLE_NORMALIZATION: ICommand;
    TOGGLE_REGAIN_VOLUME: ICommand;
    BRIGHTNESS_INCREASE: ICommand;
    BRIGHTNESS_DECREASE: ICommand;
    CONTRAST_INCREASE: ICommand;
    CONTRAST_DECREASE: ICommand;
    HUE_INCREASE: ICommand;
    HUE_DECREASE: ICommand;
    SATURATION_INCREASE: ICommand;
    SATURATION_DECREASE: ICommand;
    RESET_COLOR_SETTINGS: ICommand;
    DVD_TITLE_MENU: ICommand;
    DVD_ROOT_MENU: ICommand;
    DVD_SUBTITLE_MENU: ICommand;
    DVD_AUDIO_MENU: ICommand;
    DVD_ANGLE_MENU: ICommand;
    DVD_CHAPTER_MENU: ICommand;
    DVD_MENU_LEFT: ICommand;
    DVD_MENU_RIGHT: ICommand;
    DVD_MENU_UP: ICommand;
    DVD_MENU_DOWN: ICommand;
    DVD_MENU_ACTIVATE: ICommand;
    DVD_MENU_BACK: ICommand;
    DVD_MENU_LEAVE: ICommand;
    BOSS_KEY: ICommand;
    PLAYER_MENU_SHORT: ICommand;
    PLAYER_MENU_LONG: ICommand;
    FILTERS_MENU: ICommand;
    OPTIONS: ICommand;
    NEXT_AUDIO: ICommand;
    PREV_AUDIO: ICommand;
    NEXT_SUBTITLE: ICommand;
    PREV_SUBTITLE: ICommand;
    ON_OFF_SUBTITLE: ICommand;
    RELOAD_SUBTITLES: ICommand;
    DOWNLOAD_SUBTITLES: ICommand;
    NEXT_AUDIO_OGM: ICommand;
    PREV_AUDIO_OGM: ICommand;
    NEXT_SUBTITLE_OGM: ICommand;
    PREV_SUBTITLE_OGM: ICommand;
    NEXT_ANGLE_DVD: ICommand;
    PREV_ANGLE_DVD: ICommand;
    NEXT_AUDIO_DVD: ICommand;
    PREV_AUDIO_DVD: ICommand;
    NEXT_SUBTITLE_DVD: ICommand;
    PREV_SUBTITLE_DVD: ICommand;
    ON_OFF_SUBTITLE_DVD: ICommand;
    TEARING_TEST: ICommand;
    REMAINING_TIME: ICommand;
    NEXT_SHADER_PRESET: ICommand;
    PREV_SHADER_PRESET: ICommand;
    TOGGLE_DIRECT3D_FULLSCREEN: ICommand;
    GOTO_PREV_SUBTITLE: ICommand;
    GOTO_NEXT_SUBTITLE: ICommand;
    SHIFT_SUBTITLE_LEFT: ICommand;
    SHIFT_SUBTITLE_RIGHT: ICommand;
    DISPLAY_STATS: ICommand;
    RESET_DISPLAY_STATS: ICommand;
    VSYNC: ICommand;
    ENABLE_FRAME_TIME_CORRECTION: ICommand;
    ACCURATE_VSYNC: ICommand;
    DECREASE_VSYNC_OFFSET: ICommand;
    INCREASE_VSYNC_OFFSET: ICommand;
    SUBTITLE_DELAY_MINUS: ICommand;
    SUBTITLE_DELAY_PLUS: ICommand;
    AFTER_PLAYBACK_EXIT: ICommand;
    AFTER_PLAYBACK_STAND_BY: ICommand;
    AFTER_PLAYBACK_HIBERNATE: ICommand;
    AFTER_PLAYBACK_SHUTDOWN: ICommand;
    AFTER_PLAYBACK_LOG_OFF: ICommand;
    AFTER_PLAYBACK_LOCK: ICommand;
    AFTER_PLAYBACK_TURN_OFF_THE_MONITOR: ICommand;
    AFTER_PLAYBACK_PLAY_NEXT_FILE_IN_THE_FOLDER: ICommand;
    TOGGLE_EDL_WINDOW: ICommand;
    EDL_SET_IN: ICommand;
    EDL_SET_OUT: ICommand;
    EDL_NEW_CLIP: ICommand;
    EDL_SAVE: ICommand;
}
export declare const CommandsList: ICommandsList;
export declare type Commands = keyof ICommandsList;
