import { MpcCommands } from "./mpcCommands";
import { Dictionary } from "../types";
export interface IPlayerVariables {
    version: string;
    file: string;
    filepath: string;
    filedir: string;
    size: string;
    state: number;
    statestring: string;
    position: number;
    positionstring: string;
    duration: number;
    durationstring: string;
    volumelevel: number;
    muted: boolean;
}
export interface IPositionInfo {
    duration: number;
    position: number;
}
export declare abstract class AbstactPlayerController {
    abstract execute(commandId: MpcCommands, data?: Dictionary<any>): Promise<any>;
    abstract getVariables(): Promise<IPlayerVariables>;
    isPlaying(): Promise<boolean>;
    isPaused(): Promise<boolean>;
    isStopped(): Promise<boolean>;
    isMuted(): Promise<boolean>;
    getVolume(): Promise<number>;
    getPosition(): Promise<IPositionInfo>;
    play(): Promise<void>;
    pause(): Promise<void>;
    togglePlay(): Promise<void>;
    stop(): Promise<boolean>;
    toggleFullscreen(): Promise<void>;
    /**
     * @position - new position in ms
     */
    seek(position: number): Promise<void>;
    /**
     * @delta - delta from current position in ms
     */
    jump(delta: number): Promise<void>;
    skipBack(): Promise<void>;
    skipForward(): Promise<void>;
    setVolume(volume: number): Promise<void>;
    /**
     * @volume - new volume in percents
     */
    toggleMute(): Promise<void>;
}
