"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const timeConvert_1 = require("../utils/timeConvert");
class AbstactPlayerController {
    isPlaying() {
        return __awaiter(this, void 0, void 0, function* () {
            const variables = yield this.getVariables();
            return variables.state === 2;
        });
    }
    isPaused() {
        return __awaiter(this, void 0, void 0, function* () {
            const variables = yield this.getVariables();
            return variables.state === 1;
        });
    }
    isStopped() {
        return __awaiter(this, void 0, void 0, function* () {
            const variables = yield this.getVariables();
            return variables.state === 0;
        });
    }
    isMuted() {
        return __awaiter(this, void 0, void 0, function* () {
            const variables = yield this.getVariables();
            return variables.muted;
        });
    }
    getVolume() {
        return __awaiter(this, void 0, void 0, function* () {
            const variables = yield this.getVariables();
            return variables.volumelevel;
        });
    }
    getPosition() {
        return __awaiter(this, void 0, void 0, function* () {
            const variables = yield this.getVariables();
            return {
                duration: variables.duration,
                position: variables.position
            };
        });
    }
    play() {
        return this.execute("PLAY");
    }
    pause() {
        return this.execute("PAUSE");
    }
    togglePlay() {
        return this.execute("PLAY_PAUSE");
    }
    stop() {
        return this.execute("STOP");
    }
    toggleFullscreen() {
        return this.execute("FULLSCREEN");
    }
    /**
     * @position - new position in ms
     */
    seek(position) {
        return this.execute("SEEK", {
            position: timeConvert_1.millisecondsToDuration(position)
        });
    }
    /**
     * @delta - delta from current position in ms
     */
    jump(delta) {
        return __awaiter(this, void 0, void 0, function* () {
            const variables = yield this.getVariables();
            return this.execute("SEEK", {
                position: timeConvert_1.millisecondsToDuration(variables.position + delta)
            });
        });
    }
    skipBack() {
        return this.execute("PREVIOUS");
    }
    skipForward() {
        return this.execute("NEXT");
    }
    setVolume(volume) {
        return this.execute("SET_VOLUME", {
            volume: volume
        });
    }
    /**
     * @volume - new volume in percents
     */
    toggleMute() {
        return this.execute("VOLUME_MUTE");
    }
}
exports.AbstactPlayerController = AbstactPlayerController;
