export interface IMpcCommand {
    value: number;
    info: string;
}
export interface IMpcCommandsList {
    SET_VOLUME: IMpcCommand;
    SEEK: IMpcCommand;
    QUICK_OPEN_FILE: IMpcCommand;
    OPEN_FILE: IMpcCommand;
    OPEN_DVD_BD: IMpcCommand;
    OPEN_DEVICE: IMpcCommand;
    REOPEN_FILE: IMpcCommand;
    MOVE_TO_RECYCLE_BIN: IMpcCommand;
    SAVE_A_COPY: IMpcCommand;
    SAVE_IMAGE: IMpcCommand;
    SAVE_IMAGE_AUTO: IMpcCommand;
    SAVE_THUMBNAILS: IMpcCommand;
    LOAD_SUBTITLE: IMpcCommand;
    SAVE_SUBTITLE: IMpcCommand;
    CLOSE: IMpcCommand;
    PROPERTIES: IMpcCommand;
    EXIT: IMpcCommand;
    PLAY_PAUSE: IMpcCommand;
    PLAY: IMpcCommand;
    PAUSE: IMpcCommand;
    STOP: IMpcCommand;
    FRAMESTEP: IMpcCommand;
    FRAMESTEP_BACK: IMpcCommand;
    GO_TO: IMpcCommand;
    INCREASE_RATE: IMpcCommand;
    DECREASE_RATE: IMpcCommand;
    RESET_RATE: IMpcCommand;
    AUDIO_DELAY_PLUS_10_MS: IMpcCommand;
    AUDIO_DELAY_MINUS_10_MS: IMpcCommand;
    JUMP_FORWARD_SMALL: IMpcCommand;
    JUMP_BACKWARD_SMALL: IMpcCommand;
    JUMP_FORWARD_MEDIUM: IMpcCommand;
    JUMP_BACKWARD_MEDIUM: IMpcCommand;
    JUMP_FORWARD_LARGE: IMpcCommand;
    JUMP_BACKWARD_LARGE: IMpcCommand;
    JUMP_FORWARD_KEYFRAME: IMpcCommand;
    JUMP_BACKWARD_KEYFRAME: IMpcCommand;
    JUMP_TO_BEGINNING: IMpcCommand;
    NEXT: IMpcCommand;
    PREVIOUS: IMpcCommand;
    NEXT_FILE: IMpcCommand;
    PREVIOUS_FILE: IMpcCommand;
    TUNER_SCAN: IMpcCommand;
    QUICK_ADD_FAVORITE: IMpcCommand;
    TOGGLE_CAPTION_AND_MENU: IMpcCommand;
    TOGGLE_SEEKER: IMpcCommand;
    TOGGLE_CONTROLS: IMpcCommand;
    TOGGLE_INFORMATION: IMpcCommand;
    TOGGLE_STATISTICS: IMpcCommand;
    TOGGLE_STATUS: IMpcCommand;
    TOGGLE_SUBRESYNC_BAR: IMpcCommand;
    TOGGLE_PLAYLIST_BAR: IMpcCommand;
    TOGGLE_CAPTURE_BAR: IMpcCommand;
    TOGGLE_NAVIGATION_BAR: IMpcCommand;
    TOGGLE_DEBUG_SHADERS: IMpcCommand;
    VIEW_MINIMAL: IMpcCommand;
    VIEW_COMPACT: IMpcCommand;
    VIEW_NORMAL: IMpcCommand;
    FULLSCREEN: IMpcCommand;
    FULLSCREEN_WITHOUT_RES_CHANGE: IMpcCommand;
    ZOOM_50: IMpcCommand;
    ZOOM_100: IMpcCommand;
    ZOOM_200: IMpcCommand;
    ZOOM_AUTO_FIT: IMpcCommand;
    ZOOM_AUTO_FIT_LARGER_ONLY: IMpcCommand;
    NEXT_AR_PRESET: IMpcCommand;
    VIDFRM_HALF: IMpcCommand;
    VIDFRM_NORMAL: IMpcCommand;
    VIDFRM_DOUBLE: IMpcCommand;
    VIDFRM_STRETCH: IMpcCommand;
    VIDFRM_INSIDE: IMpcCommand;
    VIDFRM_ZOOM_1: IMpcCommand;
    VIDFRM_ZOOM_2: IMpcCommand;
    VIDFRM_OUTSIDE: IMpcCommand;
    VIDFRM_SWITCH_ZOOM: IMpcCommand;
    ALWAYS_ON_TOP: IMpcCommand;
    PNS_RESET: IMpcCommand;
    PNS_INC_SIZE: IMpcCommand;
    PNS_INC_WIDTH: IMpcCommand;
    PNS_INC_HEIGHT: IMpcCommand;
    PNS_DEC_SIZE: IMpcCommand;
    PNS_DEC_WIDTH: IMpcCommand;
    PNS_DEC_HEIGHT: IMpcCommand;
    PNS_CENTER: IMpcCommand;
    PNS_LEFT: IMpcCommand;
    PNS_RIGHT: IMpcCommand;
    PNS_UP: IMpcCommand;
    PNS_DOWN: IMpcCommand;
    PNS_UP_LEFT: IMpcCommand;
    PNS_UP_RIGHT: IMpcCommand;
    PNS_DOWN_LEFT: IMpcCommand;
    PNS_DOWN_RIGHT: IMpcCommand;
    PNS_ROTATE_X_PLUS: IMpcCommand;
    PNS_ROTATE_X_MINUS: IMpcCommand;
    PNS_ROTATE_Y_PLUS: IMpcCommand;
    PNS_ROTATE_Y_MINUS: IMpcCommand;
    PNS_ROTATE_Z_PLUS: IMpcCommand;
    PNS_ROTATE_Z_MINUS: IMpcCommand;
    VOLUME_UP: IMpcCommand;
    VOLUME_DOWN: IMpcCommand;
    VOLUME_MUTE: IMpcCommand;
    VOLUME_BOOST_INCREASE: IMpcCommand;
    VOLUME_BOOST_DECREASE: IMpcCommand;
    VOLUME_BOOST_MIN: IMpcCommand;
    VOLUME_BOOST_MAX: IMpcCommand;
    TOGGLE_CUSTOM_CHANNEL_MAPPING: IMpcCommand;
    TOGGLE_NORMALIZATION: IMpcCommand;
    TOGGLE_REGAIN_VOLUME: IMpcCommand;
    BRIGHTNESS_INCREASE: IMpcCommand;
    BRIGHTNESS_DECREASE: IMpcCommand;
    CONTRAST_INCREASE: IMpcCommand;
    CONTRAST_DECREASE: IMpcCommand;
    HUE_INCREASE: IMpcCommand;
    HUE_DECREASE: IMpcCommand;
    SATURATION_INCREASE: IMpcCommand;
    SATURATION_DECREASE: IMpcCommand;
    RESET_COLOR_SETTINGS: IMpcCommand;
    DVD_TITLE_MENU: IMpcCommand;
    DVD_ROOT_MENU: IMpcCommand;
    DVD_SUBTITLE_MENU: IMpcCommand;
    DVD_AUDIO_MENU: IMpcCommand;
    DVD_ANGLE_MENU: IMpcCommand;
    DVD_CHAPTER_MENU: IMpcCommand;
    DVD_MENU_LEFT: IMpcCommand;
    DVD_MENU_RIGHT: IMpcCommand;
    DVD_MENU_UP: IMpcCommand;
    DVD_MENU_DOWN: IMpcCommand;
    DVD_MENU_ACTIVATE: IMpcCommand;
    DVD_MENU_BACK: IMpcCommand;
    DVD_MENU_LEAVE: IMpcCommand;
    BOSS_KEY: IMpcCommand;
    PLAYER_MENU_SHORT: IMpcCommand;
    PLAYER_MENU_LONG: IMpcCommand;
    FILTERS_MENU: IMpcCommand;
    OPTIONS: IMpcCommand;
    NEXT_AUDIO: IMpcCommand;
    PREV_AUDIO: IMpcCommand;
    NEXT_SUBTITLE: IMpcCommand;
    PREV_SUBTITLE: IMpcCommand;
    ON_OFF_SUBTITLE: IMpcCommand;
    RELOAD_SUBTITLES: IMpcCommand;
    DOWNLOAD_SUBTITLES: IMpcCommand;
    NEXT_AUDIO_OGM: IMpcCommand;
    PREV_AUDIO_OGM: IMpcCommand;
    NEXT_SUBTITLE_OGM: IMpcCommand;
    PREV_SUBTITLE_OGM: IMpcCommand;
    NEXT_ANGLE_DVD: IMpcCommand;
    PREV_ANGLE_DVD: IMpcCommand;
    NEXT_AUDIO_DVD: IMpcCommand;
    PREV_AUDIO_DVD: IMpcCommand;
    NEXT_SUBTITLE_DVD: IMpcCommand;
    PREV_SUBTITLE_DVD: IMpcCommand;
    ON_OFF_SUBTITLE_DVD: IMpcCommand;
    TEARING_TEST: IMpcCommand;
    REMAINING_TIME: IMpcCommand;
    NEXT_SHADER_PRESET: IMpcCommand;
    PREV_SHADER_PRESET: IMpcCommand;
    TOGGLE_DIRECT3D_FULLSCREEN: IMpcCommand;
    GOTO_PREV_SUBTITLE: IMpcCommand;
    GOTO_NEXT_SUBTITLE: IMpcCommand;
    SHIFT_SUBTITLE_LEFT: IMpcCommand;
    SHIFT_SUBTITLE_RIGHT: IMpcCommand;
    DISPLAY_STATS: IMpcCommand;
    RESET_DISPLAY_STATS: IMpcCommand;
    VSYNC: IMpcCommand;
    ENABLE_FRAME_TIME_CORRECTION: IMpcCommand;
    ACCURATE_VSYNC: IMpcCommand;
    DECREASE_VSYNC_OFFSET: IMpcCommand;
    INCREASE_VSYNC_OFFSET: IMpcCommand;
    SUBTITLE_DELAY_MINUS: IMpcCommand;
    SUBTITLE_DELAY_PLUS: IMpcCommand;
    AFTER_PLAYBACK_EXIT: IMpcCommand;
    AFTER_PLAYBACK_STAND_BY: IMpcCommand;
    AFTER_PLAYBACK_HIBERNATE: IMpcCommand;
    AFTER_PLAYBACK_SHUTDOWN: IMpcCommand;
    AFTER_PLAYBACK_LOG_OFF: IMpcCommand;
    AFTER_PLAYBACK_LOCK: IMpcCommand;
    AFTER_PLAYBACK_TURN_OFF_THE_MONITOR: IMpcCommand;
    AFTER_PLAYBACK_PLAY_NEXT_FILE_IN_THE_FOLDER: IMpcCommand;
    TOGGLE_EDL_WINDOW: IMpcCommand;
    EDL_SET_IN: IMpcCommand;
    EDL_SET_OUT: IMpcCommand;
    EDL_NEW_CLIP: IMpcCommand;
    EDL_SAVE: IMpcCommand;
}
export declare const MpcCommandsList: IMpcCommandsList;
export declare type MpcCommands = keyof IMpcCommandsList;
