"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const axios_1 = require("axios");
const querystring = require("querystring");
const mpcCommands_1 = require("./commands/mpcCommands");
const commands_1 = require("./commands/commands");
const variableParser_1 = require("./variableParser");
class MpcControl extends commands_1.AbstactPlayerController {
    constructor(host, port) {
        super();
        this.host = host;
        this.port = port;
    }
    get apiHost() {
        return "http://" + this.host + ":" + this.port;
    }
    /**
     * @commandId - any supported command from commands/mpcCommands.ts
     * @data - additional data provided in to api call
     */
    execute(commandId, data) {
        const url = this.apiHost + "/command.html";
        return axios_1.default.get(url, {
            params: _.merge({
                wm_command: mpcCommands_1.MpcCommandsList[commandId].value
            }, data)
        });
    }
    /**
     * @filePath - path to video file
     */
    openFile(filePath) {
        const url = this.apiHost + "/browser.html?path=" + filePath;
        return axios_1.default.get(url);
    }
    getVariables() {
        const url = this.apiHost + "/variables.html";
        return axios_1.default.get(url).then((res) => {
            return variableParser_1.variableParser(res.data);
        });
    }
}
exports.MpcControl = MpcControl;
